Recent

Author Topic: ZeosLib 6.5.1 in the lazarus win32  (Read 9645 times)

silviogs

  • New Member
  • *
  • Posts: 48
ZeosLib 6.5.1 in the lazarus win32
« on: July 25, 2005, 10:30:45 pm »
Hello friends  
 
I would like to know somebody I already install ZeosLib in the lazarus for windows, or in the linux. In case positive please to explain the installation.  
 
Thank you very much  
 
Silvio Guedes

Anonymous

  • Guest
ZeosLib 6.5.1 in the lazarus win32
« Reply #1 on: July 26, 2005, 09:03:53 am »
It would interrest ME too! On sf.net couldn't find anything usefull. Even at CVS lazarus dir sais "2 months old" lpr file.
Laszlo Szakmari

Anonymous

  • Guest
ZeosLib 6.5.1 in the lazarus win32
« Reply #2 on: July 27, 2005, 12:17:05 pm »
I have tried in vain and reverted back to Delphi.

Johan Kotze

Anonymous

  • Guest
ZeosLib 6.5.1 in the lazarus win32
« Reply #3 on: July 28, 2005, 07:51:52 pm »
zeoslib 6.5.1 for lazarus win32  
Installed!!!!!  
and working.  
 
When I can I place a link for download.  
 
Respectfully  
 
Silvio Guedes

Anonymous

  • Guest
ZeosLib 6.5.1 in the lazarus win32
« Reply #4 on: July 29, 2005, 07:17:30 pm »
Guest, Silvio all here are waiting for u procedure to do that .
Can u send this to my email. I am a newbie Lazaro , come from Delphi, and I'd like to see if this works
listas_quijada@hotmail.com this is my email???
:(

Anonymous

  • Guest
ZeosLib 6.5.1 in the lazarus win32
« Reply #5 on: August 25, 2005, 01:12:05 pm »
Silvio,

I also am interested in using zeoslib with lazarus on win32.
Please  send me the procedure and/or the package by email.
My e-mail address is L.Klooster@planet.nl.
Thanks.

Anonymous

  • Guest
ZeosLib 6.5.1 in the lazarus win32
« Reply #6 on: September 28, 2005, 05:28:53 pm »
Silvio


I'm ineteresed in using zeoslib but this errors appears

C:\lazarus\componentes\src\component\ZSqlStrings.pas(63,5) Warning: Constructor should be public
C:\lazarus\componentes\src\component\ZAbstractRODataset.pas(246,15) Error: There is no method in an ancestor class to be overridden: "TZAbstractRODataset.SetFieldData(TField, Pointer, Boolean)"
C:\lazarus\componentes\src\component\ZAbstractRODataset.pas(339,14) Error: There is no method in an ancestor class to be overridden: "TZAbstractRODataset.Lookup(const AnsiString,const Variant,const AnsiString):Variant"
C:\lazarus\componentes\src\component\ZAbstractRODataset.pas(348,14) Error: There is no method in an ancestor class to be overridden: "TZAbstractRODataset.GetFieldData(TField, Pointer, Boolean):Boolean"
C:\lazarus\componentes\src\component\ZAbstractRODataset.pas(352,14) Error: There is no method in an ancestor class to be overridden: "TZAbstractRODataset.UpdateStatus:<enumeration type>"
C:\lazarus\componentes\src\component\ZAbstractRODataset.pas(382,1) Fatal: There were 4 errors compiling module, stopping

please help me!!!
 
dig2003@argentina.com this is my email!!!!

H@v0k

  • Guest
ZeosLib 6.5.1 in the lazarus win32
« Reply #7 on: October 09, 2005, 03:58:38 am »
Hello!

Only Lazarus version 0.9.9 and above, compiles zeos, I believe that the problem is fpc-2.0.0 that comes with v0.9.8.

To facilitate the process and avoid confusion, below are the direct links.

Lazarus Win32:
http://prdownloads.sourceforge.net/lazarus/Lazarus-0.9.10-20051002-win32.exe?download

Lazarus Linux sources (Debian etc...):
http://prdownloads.sourceforge.net/lazarus/lazarus-0.9.10-0.tar.gz?download
http://prdownloads.sourceforge.net/lazarus/fpc-2.0.1-050923.source.tar.gz?download

Lazarus Linux RPMs (Red Hat etc...):
http://prdownloads.sourceforge.net/lazarus/lazarus-0.9.10-0.i386.rpm?download
and I believe this one could be necessary:
http://prdownloads.sourceforge.net/lazarus/fpcsrc-2.0.1-050923.i386.rpm?download

ZeosDBO 6.5.1 alpha cvs:
http://prdownloads.sourceforge.net/zeoslib/zeosdbo-6.5.1-alpha_cvs_26-09-2005.zip?download

Good luck!

Anonymous

  • Guest
ZeosLib 6.5.1 in the lazarus win32
« Reply #8 on: October 13, 2005, 04:03:23 pm »
Hi there !

I've installed Zeos 6.5.1 under Win32 XP with Lazarus 0.9.10 and it works!
I've tested it with PostgreSQL 8.0.4, it also works, but I couldn't execute stored procedure with the
ZStoredProcedure object, I'd to do it on other way. In Zeos it says that it supports only up PostgreSQL 7.4
but with libpq74.dll it works fine with version 8.0.4.

Best regards
Zoltán

 

TinyPortal © 2005-2018